UserSessionParameters

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.server
Class UserSessionParameters

    java.lang.Object
      org.openswing.swing.server.UserSessionParameters

public class UserSessionParameters
extends java.lang.Object

Title: OpenSwing Framework

Description: Base class to store client session info.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`UserSessionParameters()`

Method Summary
`java.lang.String` | `getLanguageId()`
`java.lang.String` | `getSessionId()`
`java.lang.String` | `getUsername()`
`void` | `setLanguageId(java.lang.String languageId)` Set the language identifier.
`void` | `setSessionId(java.lang.String sessionId)` Set the session identifier.
`void` | `setUsername(java.lang.String username)` Set the username

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserSessionParameters

    public UserSessionParameters()

Method Detail

### getUsername

    public final java.lang.String getUsername()

  Returns:
    username

### setUsername

    public final void setUsername(java.lang.String username)

  Set the username

### getLanguageId

    public final java.lang.String getLanguageId()

  Returns:
    language identifier

### setLanguageId

    public final void setLanguageId(java.lang.String languageId)

  Set the language identifier.

  Parameters:
    `languageId` - language identifier

### getSessionId

    public final java.lang.String getSessionId()

  Returns:
    session identifier

### setSessionId

    public final void setSessionId(java.lang.String sessionId)

  Set the session identifier.

  Parameters:
    `sessionId` - session identifier

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD